unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,   yupack, Menus, ExtCtrls;

type
  TfmMain = class(TForm)
    YusoftWallpaper1: TYusoftWallpaper;
    btn3: TYuSoftButton;
    btn2: TYuSoftButton;
    btn1: TYuSoftButton;
    lbl1: TYuSoftLabel;
    lbl2: TYuSoftLabel;
    YuSoftLabel1: TYuSoftLabel;
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    YusoftGradientButton1: TYusoftGradientButton;
    YusoftGradientButton2: TYusoftGradientButton;
    YusoftGradientButton3: TYusoftGradientButton;
    CheckBox1: TCheckBox;
    YuSoftLabel2: TYuSoftLabel;
    YuSoftLabel3: TYuSoftLabel;
    Memo1: TMemo;
    YusoftGradientButton4: TYusoftGradientButton;
    YusoftGradientButton5: TYusoftGradientButton;
    YuSoftLabel4: TYuSoftLabel;
    procedure FormCreate(Sender: TObject);
    procedure btn2MouseEnter(Sender: TObject);
    procedure btn2MouseLeave(Sender: TObject);
    procedure lbl2MouseEnter(Sender: TObject);
    procedure lbl2MouseLeave(Sender: TObject);
    procedure lbl2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure lbl2MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure btn2MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure lbl3Click(Sender: TObject);
    procedure YusoftGradientButton2MouseEnter(Sender: TObject);
    procedure YusoftGradientButton2MouseLeave(Sender: TObject);
    procedure YusoftGradientButton2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);

    procedure CreateParams(var Params: TCreateParams); override;
    procedure YuSoftLabel3Click(Sender: TObject);
    procedure YusoftGradientButton6Click(Sender: TObject);
    procedure YusoftGradientButton1MouseMove(Sender: TObject;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }

  public
    { Public declarations }
  end;

var
  fmMain: TfmMain;

implementation
 {$R yudemo.res}  {<---- I link my resources here}
{$R *.DFM}

procedure TfmMain.CreateParams(var Params: TCreateParams);
begin
  inherited CreateParams(Params);
  with Params do
   Style := (Style or WS_POPUP) and (not WS_DLGFRAME);

 {I think this is the best way to get form without captiom
  BorderStyle=bsNone is not beatiful}
end;


procedure TfmMain.FormCreate(Sender: TObject);
begin
     {you may set images in design-time (in Delphi IDE)
      but if you has many images and many components have same images
      the best way is loading images from resources in FormCreate Event.
      Use brcc32.exe (Delphi\Bin folder) for placing images in resources
      or another tools (I use MSVC++5 - cool resource editor :-))  }


     {placing image in wallpaper}
  //   YusoftWallpaper1.Image.LoadFromResourceName(hInstance,'WALLPAPER');


     {placing images in buttons}
     btn1.DownImage.LoadFromResourceName(hInstance,'DOWN1');
     btn1.UpImage.LoadFromResourceName(hInstance,'UP1');
     btn1.MouseOverImage.LoadFromResourceName(hInstance,'M1');

     btn2.DownImage.LoadFromResourceName(hInstance,'DOWN2');
     btn2.UpImage.LoadFromResourceName(hInstance,'UP2');
     btn2.MouseOverImage.LoadFromResourceName(hInstance,'M2');
     btn2.DisabledImage.LoadFromResourceName(hInstance,'DIS2');

     btn3.DownImage.LoadFromResourceName(hInstance,'DOWN3');
     btn3.UpImage.LoadFromResourceName(hInstance,'UP3');
     btn3.MouseOverImage.LoadFromResourceName(hInstance,'M3');


     {placing images in TImage}
     Image1.Picture.Bitmap.LoadFromResourceName(hInstance,'vint');
     Image2.Picture.Bitmap.LoadFromResourceName(hInstance,'vint');
     Image3.Picture.Bitmap.LoadFromResourceName(hInstance,'vint');
     Image4.Picture.Bitmap.LoadFromResourceName(hInstance,'vint');
end;



{NOTE: if you want to use next routines you must set buttons & labels Tags
 for sake
 first button tag=1;   corresponding first label tag=1;
 second button tag=2;  corresponding second label tag=2... }

procedure TfmMain.btn2MouseEnter(Sender: TObject);
var
i:Integer;
Temp: TComponent;
begin
  for i:=0 to ComponentCount-1 do
    begin
      Temp := Components[I];
      if (Temp is TYusoftLabel)  then
      begin
        if  (Temp as TControl).Tag=(Sender as TControl).Tag then
          begin
            (Temp as TYusoftLabel).DoEnter;
           end;
      end;
    end;
end;

procedure TfmMain.btn2MouseLeave(Sender: TObject);
var
i:Integer;
Temp: TComponent;
begin
  for i:=0 to ComponentCount-1 do
    begin
      Temp := Components[I];
      if (Temp is TYusoftLabel)  then
        begin
          if  (Temp as TControl).Tag=(Sender as TControl).Tag then
            begin
              (Temp as TYusoftLabel).DoLeave;
            end;
        end;
    end;
end;

procedure TfmMain.lbl2MouseEnter(Sender: TObject);
var
i:Integer;
Temp: TComponent;
begin
  for i:=0 to ComponentCount-1 do
    begin
      Temp := Components[I];
      if (Temp is TYusoftButton)  then
        begin
          if  (Temp as TControl).Tag=(Sender as TControl).Tag then
            begin
              (Temp as TYusoftButton).UpImage.LoadFromResourceName(hInstance,
               PChar('M'+IntToStr((Temp as TYusoftButton).Tag)));
               (Temp as TYusoftButton).repaint;
             end;
        end;
     end;
end;

procedure TfmMain.lbl2MouseLeave(Sender: TObject);
var
i:Integer;
Temp: TComponent;
begin
  for i:=0 to ComponentCount-1 do
    begin
      Temp := Components[I];
      if (Temp is TYusoftButton)  then
        begin
          if  (Temp as TControl).Tag=(Sender as TControl).Tag then
            begin
              (Temp as TYusoftButton).UpImage.LoadFromResourceName(hInstance,
               PChar('UP'+IntToStr((Temp as TYusoftButton).Tag)));
               (Temp as TYusoftButton).repaint;
             end;
        end;
    end;
end;

procedure TfmMain.lbl2MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
i:Integer;
Temp: TComponent;
begin
  for i:=0 to ComponentCount-1 do
    begin
      Temp := Components[I];
      if (Temp is TYusoftButton)  then
        begin
          if  (Temp as TControl).Tag=(Sender as TControl).Tag then
            begin
             (Temp as TYusoftButton).UpImage.LoadFromResourceName(hInstance,
              PChar('DOWN'+IntToStr((Sender as TControl).Tag)));
             (Temp as TYusoftButton).repaint;
            end;
        end;
    end;
end;

procedure TfmMain.lbl2MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
i:Integer;
Temp: TComponent;
begin
  for i:=0 to ComponentCount-1 do
    begin
      Temp := Components[I];
      if (Temp is TYusoftButton)  then
        begin
          if  (Temp as TControl).Tag=(Sender as TControl).Tag then
            begin
              (Temp as TYusoftButton).UpImage.LoadFromResourceName(hInstance,
               PChar('UP'+IntToStr((Sender as TControl).Tag)));
               (Temp as TYusoftButton).repaint;
               btn2MouseUp(Sender, Button, Shift, X, Y);
            end;
         end;
     end;
end;

procedure TfmMain.btn2MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  MessageDlg('You have pressed TYuSoftButton',mtInformation,[mbOk], 0);
end;

procedure TfmMain.lbl3Click(Sender: TObject);
begin
  MessageDlg('You have pressed TYuSoftLabel',mtInformation,[mbOk], 0);
end;



procedure TfmMain.YusoftGradientButton2MouseEnter(Sender: TObject);
begin
  (Sender as TYusoftGradientButton).Font.Color:=clYellow;
end;

procedure TfmMain.YusoftGradientButton2MouseLeave(Sender: TObject);
begin
  (Sender as TYusoftGradientButton).Font.Color:=clWhite;
end;

procedure TfmMain.YusoftGradientButton2Click(Sender: TObject);
begin
  case (Sender as TYusoftGradientButton).Tag  of
    1: Application.Minimize;
    2: Application.Terminate;
   end;
end;

procedure TfmMain.CheckBox1Click(Sender: TObject);
begin
  btn2.Enabled:=CheckBox1.Checked;
 lbl2.Enabled:=CheckBox1.Checked;

end;

procedure TfmMain.YuSoftLabel3Click(Sender: TObject);
begin
   MessageDlg('You have pressed TYuSoftLabel',mtInformation,[mbOk], 0);
end;

procedure TfmMain.YusoftGradientButton6Click(Sender: TObject);
begin
  MessageDlg('You have pressed TYuSoftGradientButton',mtInformation,[mbOk], 0);
end;

procedure TfmMain.YusoftGradientButton1MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  if ssleft in shift then
   begin
     ReleaseCapture;
     fmMain.perform(WM_syscommand, $F012, 0);
   end;
end;

end.
